## nethogs 0.7.0

=== Makefile ===
--- 
+++ 
@@ -1,18 +1,19 @@
 VERSION      := 0
-SUBVERSION   := 6
-MINORVERSION := 2pre2
+SUBVERSION   := 7
+MINORVERSION := 0
 
 #DESTDIR := /usr
 DESTDIR := /usr/local
 
-bin  := $(DESTDIR)/bin
+sbin  := $(DESTDIR)/sbin
 man8 := $(DESTDIR)/share/man/man8/
 
-all: nethogs decpcap_test nethogs_testsum
+all: nethogs decpcap_test
+# nethogs_testsum
 
-CFLAGS=-g -Wall
+CFLAGS=-g -Wall -Wextra
 #CFLAGS=-O2
-OBJS=packet.o connection.o process.o refresh.o decpcap.o cui.o inode2prog.o
+OBJS=packet.o connection.o process.o refresh.o decpcap.o cui.o inode2prog.o conninode.o
 .PHONY: tgz
 
 tgz: clean
@@ -23,8 +24,10 @@
 	echo "Not implemented"
 
 install: nethogs nethogs.8
-	cp nethogs $(bin)
-	cp nethogs.8 $(man8)
+	install -d -m 755 $(bin)
+	install -m 755 nethogs $(bin)
+	install -d -m 755 $(man8)
+	install -m 644 nethogs.8 $(man8)
 
 nethogs: nethogs.cpp $(OBJS)
 	$(CXX) $(CFLAGS) nethogs.cpp $(OBJS) -o nethogs -lpcap -lm -lncurses -DVERSION=\"$(VERSION)\" -DSUBVERSION=\"$(SUBVERSION)\" -DMINORVERSION=\"$(MINORVERSION)\"
@@ -32,7 +35,7 @@
 	$(CXX) $(CFLAGS) -g nethogs_testsum.cpp $(OBJS) -o nethogs_testsum -lpcap -lm -lncurses -DVERSION=\"$(VERSION)\" -DSUBVERSION=\"$(SUBVERSION)\" -DMINORVERSION=\"$(MINORVERSION)\"
 
 decpcap_test: decpcap_test.cpp decpcap.o
-	$(CXX) $(CFLAGS) decpcap_test.cpp decpcap.o -o decpcap_test -lpcap -lm 
+	$(CXX) $(CFLAGS) decpcap_test.cpp decpcap.o -o decpcap_test -lpcap -lm
 
 #-lefence
 
@@ -48,6 +51,8 @@
 	$(CC) $(CFLAGS) -c decpcap.c
 inode2prog.o: inode2prog.cpp inode2prog.h nethogs.h
 	$(CXX) $(CFLAGS) -c inode2prog.cpp
+conninode.o: conninode.cpp nethogs.h conninode.h
+	$(CXX) $(CFLAGS) -c conninode.cpp
 cui.o: cui.cpp cui.h nethogs.h
 	$(CXX) $(CFLAGS) -c cui.cpp -DVERSION=\"$(VERSION)\" -DSUBVERSION=\"$(SUBVERSION)\" -DMINORVERSION=\"$(MINORVERSION)\"
