## nethogs 0.8.0

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 VERSION      := 0
-SUBVERSION   := 7
+SUBVERSION   := 8
 MINORVERSION := 0
 
 #DESTDIR := /usr
@@ -13,19 +13,19 @@
 
 CFLAGS=-g -Wall -Wextra
 #CFLAGS=-O2
-OBJS=packet.o connection.o process.o refresh.o decpcap.o cui.o inode2prog.o conninode.o
+OBJS=packet.o connection.o process.o refresh.o decpcap.o cui.o inode2prog.o conninode.o devices.o
 .PHONY: tgz
 
 tgz: clean
-	cd .. ; tar czvf nethogs-$(VERSION).$(SUBVERSION).$(MINORVERSION).tar.gz nethogs/*
+	cd .. ; tar czvf nethogs-$(VERSION).$(SUBVERSION).$(MINORVERSION).tar.gz --exclude-vcs nethogs/*
 
 .PHONY: check
 check:
 	echo "Not implemented"
 
 install: nethogs nethogs.8
-	install -d -m 755 $(bin)
-	install -m 755 nethogs $(bin)
+	install -d -m 755 $(sbin)
+	install -m 755 nethogs $(sbin)
 	install -d -m 755 $(man8)
 	install -m 644 nethogs.8 $(man8)
 
@@ -53,6 +53,8 @@
 	$(CXX) $(CFLAGS) -c inode2prog.cpp
 conninode.o: conninode.cpp nethogs.h conninode.h
 	$(CXX) $(CFLAGS) -c conninode.cpp
+#devices.o: devices.cpp devices.h
+#	$(CXX) $(CFLAGS) -c devices.cpp
 cui.o: cui.cpp cui.h nethogs.h
 	$(CXX) $(CFLAGS) -c cui.cpp -DVERSION=\"$(VERSION)\" -DSUBVERSION=\"$(SUBVERSION)\" -DMINORVERSION=\"$(MINORVERSION)\"
