=== debian/changelog ===
nethogs (0.8.1-0.3) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream release. Closes: #808433
  * Show '?' as PID when the PID could not be determined, instead of '0'.
  * Allow large values for 'pid'
  * Use a normal DGRAM (UDP) socket to determine local IPv4 IP

 -- Arnout Engelen <arnouten@bzzt.net>  Wed, 17 Feb 2016 12:34:56 +0100
