=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: net
 Priority: optional
 Maintainer: Bart Martens <bartm@debian.org>
-Build-Depends: debhelper (>= 8.0.0), libncurses5-dev, libpcap0.8-dev
-Standards-Version: 3.9.2
+Build-Depends: debhelper (>= 9.0.0), libncurses5-dev, libpcap0.8-dev
+Standards-Version: 3.9.6
 Homepage: http://nethogs.sourceforge.net/
 
 Package: nethogs
