=== debian/watch ===
version=3
http://sf.net/nethogs/nethogs-(.*)\.tar\.gz
