=== debian/changelog ===
nethogs (0.8.5-2) unstable; urgency=medium

  * debian/rules:
      - Added override_dh_auto_build to be built reproducibly (Closes:846842).
        thanks to Chris Lamb <lamby@debian.org>.

 -- Paulo Roberto Alves de Oliveira (aka kretcheu) <kretcheu@gmail.com>  Sun, 04 Dec 2016 10:46:00 -0200

nethogs (0.8.5-1) unstable; urgency=medium

  * New upstream release.
  * Cryptographic signature verification: the upstream is providing a GPG
    signature that allows the tarball verification. Consequently:
    - Added the debian/upstream/signing-key.asc file.
    - Updated the debian/watch file.
  * debian/copyright: Updated nethogs.8 directory.
  * debian/patches/makefile.diff
    - Refreshed because some changes was merged by upstream.

 -- Paulo Roberto Alves de Oliveira (aka kretcheu) <kretcheu@gmail.com>  Wed, 13 Jul 2016 00:07:00 -0300

nethogs (0.8.1-1) unstable; urgency=medium

  * New maintainer. Thanks to Bart Martens for your work over this package.
    (Closes: #826914)
  * Acknowledge NMU. Thanks to Arnout Engelen.
  * debian/changelog
    - Removed last blank line.
  * debian/control
    - Bumped Standards-Version to 3.9.8.
    - Changed maintainer.
    - Updated upstream Homepage (Closes: #814268).
  * debian/copyright
    - Rewriting copyright file in machine-interpretable format.
  * debian/dirs: removed because this file is useless now.
  * debian/patches/makefile.diff
    - Included headers for clarify patch file.
    - Included CPPFLAGS variable for hardening.
  * debian/rules
    - Removed some unused lines and spaces.
  * debian/watch
    - Updated. The upstream uses tags in GitHub now.

 -- Paulo Roberto Alves de Oliveira (aka kretcheu) <kretcheu@gmail.com>  Thu, 23 Jun 2016 10:15:00 -0300
