=== debian/control ===
--- 
+++ 
@@ -1,10 +1,10 @@
 Source: nethogs
 Section: net
 Priority: optional
-Maintainer: Bart Martens <bartm@debian.org>
-Build-Depends: debhelper (>= 9.0.0), libncurses5-dev, libpcap0.8-dev
-Standards-Version: 3.9.6
-Homepage: http://nethogs.sourceforge.net/
+Maintainer: Paulo Roberto Alves de Oliveira (aka kretcheu) <kretcheu@gmail.com>
+Build-Depends: debhelper (>= 9), libncurses5-dev, libpcap0.8-dev
+Standards-Version: 3.9.8
+Homepage: https://github.com/raboof/nethogs
 
 Package: nethogs
 Architecture: any
