=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS=hardening=+all
#export PREFIX = /usr

override_dh_auto_test:

%:
	dh $@

override_dh_auto_build:
	dh_auto_build -- VERSION="$(shell dpkg-parsechangelog --show-field Version)"
