## nethogs 0.8.6

=== debian/changelog ===
nethogs (0.8.6-3) unstable; urgency=medium

  * d/rules: Remove -pie and -fpie from compiler option.
    Disables checking for PIE which is automatically applied by Debian's GCC
    and no longer requires a compiler command line argument.

 -- Paulo Roberto Alves de Oliveira (aka kretcheu) <kretcheu@gmail.com>  Mon, 07 Feb 2022 13:21:00 -0300

nethogs (0.8.6-2) unstable; urgency=medium

  [ Paulo Roberto Alves de Oliveira (aka kretcheu) ]
  * d/rules:
    - Include flags to solve issues pointed by blhc.
  * d/copyright: Update date
  * d/p/patches: Add headers to Samuel patch.

  [ Samuel Henrique ]
  * POC skip tests at dh_auto_build

 -- Paulo Roberto Alves de Oliveira (aka kretcheu) <kretcheu@gmail.com>  Thu, 13 Jan 2022 09:16:00 -0300

nethogs (0.8.6-1) unstable; urgency=medium

  * New upstream version 0.8.6.
  * Using new DH level format. Consequently:
      - debian/compat: removed.
      - debian/control: changed from 'debhelper' to 'debhelper-compat' in
        Build-Depends field and bumped level to 13.
  * debian/control:
      - Bumped Standards-Version to 4.6.0.1.
      - Included VCS-* fields.
      - Added 'Rules-Requires-Root: no' to source stanza.
  * debian/patchs/:
      - Added 20-fix-mvprint.patch to fix building error.
      - Remove unnecessary patch.
  * debian/rules:
      - Included PREFIX variable.
      - Using $(DEB_VERSION) variable instead of dpkg-parsechangelog command.
  * debian/watch: improved.
  * Added gbp.conf.
  * Add upstream metadata.

 -- Paulo Roberto Alves de Oliveira (aka kretcheu) <kretcheu@gmail.com>  Sat, 09 Oct 2021 12:13:00 -0300
