=== debian/watch ===
version=4
opts="pgpsigurlmangle=s/$/.asc/" \
https://github.com/raboof/nethogs/releases .*/tags/v?(\d\S+)\.tar\.(?:bz2|gz|xz)
