## nethogs 0.8.7

=== Makefile ===
--- 
+++ 
@@ -28,7 +28,6 @@
 
 install_dev:
 	$(MAKE) -C src -f MakeLib.mk $@
-	$(MAKE) -C doc $@
 
 uninstall:
 	$(MAKE) -C src -f MakeApp.mk $@
