=== debian/changelog ===
nethogs (0.8.7-2build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 18:00:55 +1100

nethogs (0.8.7-2build1) noble; urgency=medium

  * No-change rebuild for libpcap t64.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 14 Mar 2024 14:00:36 +0100

nethogs (0.8.7-2) unstable; urgency=medium

  * debian/watch: fix url to https://github.com/raboof/nethogs/tags.

 -- Paulo Roberto Alves de Oliveira (aka kretcheu) <kretcheu@gmail.com>  Sat, 22 Oct 2022 10:15:00 -0300

nethogs (0.8.7-1) unstable; urgency=medium

  * New upstream version 0.8.7.
  * Drop patch that have been merged upstream:
    - d/p/20-fix-mvprint.patch

 -- Paulo Roberto Alves de Oliveira (aka kretcheu) <kretcheu@gmail.com>  Sun, 10 Apr 2022 17:08:00 -0300
