=== debian/control ===
--- 
+++ 
@@ -1,10 +1,16 @@
 Source: nethogs
 Section: net
 Priority: optional
-Maintainer: Paulo Roberto Alves de Oliveira (aka kretcheu) <kretcheu@gmail.com>
-Build-Depends: debhelper (>= 9), libncurses5-dev, libpcap0.8-dev
-Standards-Version: 3.9.8
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Paulo Roberto Alves de Oliveira (aka kretcheu) <kretcheu@gmail.com>
+Build-Depends: debhelper-compat (= 13),
+               libncurses5-dev,
+               libpcap0.8-dev
+Standards-Version: 4.6.0.1
+Rules-Requires-Root: no
 Homepage: https://github.com/raboof/nethogs
+Vcs-Browser: https://salsa.debian.org/debian/nethogs
+Vcs-Git: https://salsa.debian.org/debian/nethogs.git
 
 Package: nethogs
 Architecture: any
