=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

include /usr/share/dpkg/pkg-info.mk

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

export PREFIX = /usr

%:
	dh $@

override_dh_auto_build:
	dh_auto_build -- VERSION=$(DEB_VERSION)
