=== debian/watch ===
version=4
opts="pgpsigurlmangle=s/$/.asc/" \
https://github.com/raboof/nethogs/tags .*/v?@ANY_VERSION@@ARCHIVE_EXT@
