## nethogs 0.8.8

=== debian/changelog ===
nethogs (0.8.8-4) unstable; urgency=medium

  * d/libnethogs0.symbols: Exclude symbol to fix build on specific archs

 -- Matheus Polkorny <mpolkorny@gmail.com>  Fri, 17 Oct 2025 19:02:47 -0300

nethogs (0.8.8-3) unstable; urgency=medium

  * d/rules: Apply patch to build nethogs at build step instead of install
      Thanks to Nilesh Patra for the report and patch (Closes: #1110314)
  * d/libnethogs0.symbols:
    - Let build pass on m68k despite incomplete symbols
    - Remove duplicate symbol entries

 -- Matheus Polkorny <mpolkorny@gmail.com>  Sun, 03 Aug 2025 21:15:19 -0300

nethogs (0.8.8-2) unstable; urgency=medium

  * d/control:
    - Add myself to Uploaders
    - Add new binaries libnethogs0 and libnethogs-dev (Closes: #893715)
    - Bump Standards-Version to 4.7.2 (no changes)
  * d/rules:
    - Build libnethogs library and update build flags
    - Override dh_auto_install to install libnethogs0 and libnethogs-dev
  * d/libnethogs0.symbols: Add symbols file for libnethogs
  * d/patches:
    - 10-meson-fix-library-name.patch: New Upstream patch to fix library name
    - 40-Add-flags-to-CPPFLAGS-and-LDFLAGS.patch: New patch to add flags
    - 50-Add-MAJOR_VERSION-to-lib.patch: New patch to set SONAME MAJOR_VERSION
    - 60-Allow-overriding-VERSION.patch: New patch to allow overriding VERSION

 -- Matheus Polkorny <mpolkorny@gmail.com>  Wed, 26 Mar 2025 10:14:44 -0300

nethogs (0.8.8-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 0.8.8
  * d/control:
    - Add pybuild-plugin-pyproject and python3-setuptools to Build-Depends
        This resolves the lintian warning about missing PEP-517 prerequisites
    - Bump Standards-Version to 4.7.0 (no changes)
    - Replace libncurses5-dev with libncurses-dev
  * d/copyright: Include me in debian/*
  * d/patches/30-skip-tests-at-dh-build.patch: Set forwarded as not-needed
  * d/upstream/signing-key.asc: Remove upstream signature
  * d/watch: Remove signature verification

 -- Matheus Polkorny <mpolkorny@gmail.com>  Sat, 04 Jan 2025 18:17:08 -0300
