=== debian/control ===
Source: nethogs
Section: net
Priority: optional
Maintainer: Paulo Roberto Alves de Oliveira (aka kretcheu) <kretcheu@gmail.com>
Uploaders: Matheus Polkorny <mpolkorny@gmail.com>
Build-Depends: debhelper-compat (= 13),
               libncurses-dev,
               libpcap0.8-dev,
               python3-setuptools,
               pybuild-plugin-pyproject,
Standards-Version: 4.7.2
Rules-Requires-Root: no
Homepage: https://github.com/raboof/nethogs
Vcs-Browser: https://salsa.debian.org/debian/nethogs
Vcs-Git: https://salsa.debian.org/debian/nethogs.git

Package: nethogs
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: Net top tool grouping bandwidth per process
 NetHogs is a small 'net top' tool. Instead of breaking the traffic down per
 protocol or per subnet, like most tools do, it groups bandwidth by process.
 NetHogs does not rely on a special kernel module to be loaded.

Package: libnethogs0
Section: libs
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: From nethogs tool, libnethogs library (library)
 This is highly experimental, and is expected to break source and binary
 compatibility while it looks for the right abstraction points.
 .
 This package contains the shared library.

Package: libnethogs-dev
Section: libdevel
Architecture: any
Depends: libnethogs0 (= ${binary:Version}),
         ${misc:Depends}
Description: From nethogs tool, libnethogs library (development files)
 This is highly experimental, and is expected to break source and binary
 compatibility while it looks for the right abstraction points.
 .
 This package contains the development files.
