=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

include /usr/share/dpkg/buildflags.mk
include /usr/share/dpkg/pkg-info.mk

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

CFLAGS += -fPIC
CXXFLAGS += -fPIC

export CFLAGS CXXFLAGS
export PREFIX = /usr

export VERSION=$(DEB_VERSION_UPSTREAM)

%:
	dh $@

override_dh_auto_build:
	dh_auto_build -- libnethogs nethogs

override_dh_auto_install:
	make install DESTDIR=$(CURDIR)/debian/nethogs
	mkdir -p $(CURDIR)/debian/libnethogs0
	make install_lib DESTDIR=$(CURDIR)/debian/libnethogs0
	ln -sf libnethogs.so.$(VERSION) $(CURDIR)/debian/libnethogs0/usr/lib/libnethogs.so.0
	mkdir -p $(CURDIR)/debian/libnethogs-dev
	make install_dev DESTDIR=$(CURDIR)/debian/libnethogs-dev
	rm -f $(CURDIR)/debian/libnethogs-dev/usr/lib/libnethogs.so*
	ln -sf libnethogs.so.$(VERSION) $(CURDIR)/debian/libnethogs-dev/usr/lib/libnethogs.so
